# PetscDLLibraryPrepend

Add another dynamic library to search for symbols to the beginning of the search path.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscDLLibraryPrepend(MPI_Comm comm,PetscDLLibrary *outlist,const char libname[])

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator
| libname | - name of the library

### Output Parameter

outlist -list of libraries

Notes: If library is already in path will remove old reference.

Level:developer
Location: src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages